Skip to main content
POST
Python (SDK)

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Path Parameters

deployment_id
string
required

Response

Successful Response

A deployed inference server.

accelerator
AcceleratorSpec · object
required

A hardware accelerator request — GPU, NPU, TPU, or similar.

Request an accelerator by type and count, with optional fallback types.

created_at
string<date-time>
required
engine
enum<string>
required

Inference engine that backs a deployment.

Available options:
vllm,
sglang
id
string
required
image
string | null
required
model
string
required
name
string
required
revision
integer
required

Current config revision

scaling
Scaling · object
required

Autoscaling configuration for a deployment.

status
enum<string>
required
Available options:
pending,
provisioning,
ready,
scaling,
updating,
degraded,
failed,
stopped,
deleted
updated_at
string<date-time>
required
endpoint
DeploymentEndpoint · object | null

Where and how to call the model; set while registered with the gateway

served_model_id
string | null

Model ID consumers pass to the gateway's inference endpoints; set while the deployment is registered with the gateway (see Register), null when unregistered